# 0.13.2 Release : Jailbreak (out of Deadlock City)

The PiTiVi team is proud to announce the second release in the unstable
0.13 PiTiVi series.

Due to its dependency on GStreamer, The PiTiVi team strongly recommends
users have all official latest gstreamer libraries and plugins installed
for the best user experience.

## Features of this release

-   Undo/Redo support
-   Audio mixing
-   Ripple/Roll edit
-   misc fixes everywhere

## Requirements

-   gstreamer &gt;= 0.10.24
-   gst-python &gt;= 0.10.16
-   gnonlin &gt;= 0.10.12
-   pygtk &gt;= 2.14.0
-   Python &gt;= 2.5
-   zope-interface
-   python setuptools
-   pygoocanvas (http://live.gnome.org/GooCanvas)
-   dbus and HAL for capture support

## Contributors

Ranked by commits:

`  148  Alessandro Decina`\
`  102  Brandon Lewis`\
`   61  Edward Hervey`\
`    7  Claude Paroz`\
`    5  Mario Blättermann`\
`    4  Per Kongstad`\
`    3  António Lima`\
`    2  Daniel Nylander`\
`    2  Jan Gerber`\
`    1  Bruce Cowan`\
`    1  Gianvito Cavasoli`\
`    1  Gil Forcada`\
`    1  Jesse Aviles`\
`    1  Jesse Avilés`

## Download

PiTiVi source tarballs are available on gnome FTP:
<http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.13/>

Packages for Ubuntu 9.04 (Jaunty Jackalope) are available on [this PPA
repository](https://launchpad.net/~gstreamer-developers/+archive/ppa).

## Information and Feedback

-   Information for users and developers can be found on the PiTiVi
    website : <http://www.pitivi.org/>
-   Comments and feedback are welcome.
    -   Mailing-list : pitivi-pitivi@lists.sourceforge.net
    -   PiTiVi bug-tracker :
        <http://bugzilla.gnome.org/browse.cgi?product=pitivi>

## Bugs Fixed

-   [584023](http://bugzilla.gnome.org/show_bug.cgi?id=584023) : Import
    Folder of Clips menu item not working
-   [589814](http://bugzilla.gnome.org/show_bug.cgi?id=589814) :
    \[keyframe\] should have percentage labels
-   [566486](http://bugzilla.gnome.org/show_bug.cgi?id=566486) :
    \[Segmentation fault\] (py)goocanvas 0.13 and python 2.6
-   [576276](http://bugzilla.gnome.org/show_bug.cgi?id=576276) :
    contextual toolbar buttons should be insensitive when not...
-   [579536](http://bugzilla.gnome.org/show_bug.cgi?id=579536) : source
    list thumbnails are not shown when loading a project
-   [583637](http://bugzilla.gnome.org/show_bug.cgi?id=583637) : Change
    command line interface to be more compatible with ...
-   [584049](http://bugzilla.gnome.org/show_bug.cgi?id=584049) : PiTiVi
    doesn't keep the " Nothing yet " status on render wi...
-   [584093](http://bugzilla.gnome.org/show_bug.cgi?id=584093) :
    selecting overlapping clips selected clips moves to top
-   [584899](http://bugzilla.gnome.org/show_bug.cgi?id=584899) :
    \[Formatter\] Fix .pls/.m3u Formatters
-   [585181](http://bugzilla.gnome.org/show_bug.cgi?id=585181) : no
    thumbnails for existing sources after loading .xptv
-   [586786](http://bugzilla.gnome.org/show_bug.cgi?id=586786) : Trying
    to dispose element pngenc0, but it is not in the N...
-   [587332](http://bugzilla.gnome.org/show_bug.cgi?id=587332) : undo
    forgets about volume keyframes
-   [587333](http://bugzilla.gnome.org/show_bug.cgi?id=587333) : no way
    to remove volume node/keyframe
-   [587334](http://bugzilla.gnome.org/show_bug.cgi?id=587334) : volume
    operations can not be undone
-   [587371](http://bugzilla.gnome.org/show_bug.cgi?id=587371) : crash
    on start if \~/.local does not exist
-   [587377](http://bugzilla.gnome.org/show_bug.cgi?id=587377) : Command
    line -i flag broken
-   [587411](http://bugzilla.gnome.org/show_bug.cgi?id=587411) :
    keyframes broken with trimmed clips
-   [587945](http://bugzilla.gnome.org/show_bug.cgi?id=587945) :
    editing\_context and advanced\_editing\_modes branches
-   [588258](http://bugzilla.gnome.org/show_bug.cgi?id=588258) : undo
    and redo should be in the main toolbar
-   [588415](http://bugzilla.gnome.org/show_bug.cgi?id=588415) :
    Traceback after dropping new clips onto the timeline
-   [589694](http://bugzilla.gnome.org/show_bug.cgi?id=589694) : trimmed
    clips can be extended under/over clips next to them
-   [589695](http://bugzilla.gnome.org/show_bug.cgi?id=589695) : adding
    several clips with mouse, they overlap if moving t...
-   [589725](http://bugzilla.gnome.org/show_bug.cgi?id=589725) : don't
    block the user from overlapping clips
-   [589784](http://bugzilla.gnome.org/show_bug.cgi?id=589784) : default
    pane positions are fail sauce
-   [589803](http://bugzilla.gnome.org/show_bug.cgi?id=589803) :
    Problems while moving a clip to a different layer
-   [589807](http://bugzilla.gnome.org/show_bug.cgi?id=589807) :
    Double-clicking a clip in source-list has no effect
-   [378597](http://bugzilla.gnome.org/show_bug.cgi?id=378597) :
    Multiple-resolution logo
-   [518689](http://bugzilla.gnome.org/show_bug.cgi?id=518689) : "
    Internal data stream error " with OGG video
-   [568749](http://bugzilla.gnome.org/show_bug.cgi?id=568749) : Choppy
    Audio with some .avi files
-   [575945](http://bugzilla.gnome.org/show_bug.cgi?id=575945) : mix
    concurrent audio clips on different layers
-   [575952](http://bugzilla.gnome.org/show_bug.cgi?id=575952) : better
    spacing around thumbnail frames in the timeline
-   [576575](http://bugzilla.gnome.org/show_bug.cgi?id=576575) : clips
    can only be added to first layer
-   [577451](http://bugzilla.gnome.org/show_bug.cgi?id=577451) : Text
    doesn't fit into the box
-   [583226](http://bugzilla.gnome.org/show_bug.cgi?id=583226) : can't
    render, clowns will eat me
-   [583241](http://bugzilla.gnome.org/show_bug.cgi?id=583241) : better
    default filechooser size for the " missing media " d...
-   [583474](http://bugzilla.gnome.org/show_bug.cgi?id=583474) : Use
    named placeholders when string contains more than one
-   [583861](http://bugzilla.gnome.org/show_bug.cgi?id=583861) :
    Translation of /pitivi/utils.py:234
-   [584056](http://bugzilla.gnome.org/show_bug.cgi?id=584056) : Minor
    string fixes
-   [584084](http://bugzilla.gnome.org/show_bug.cgi?id=584084) : File
    filter menu not translated in open dialog
-   [584086](http://bugzilla.gnome.org/show_bug.cgi?id=584086) : Button
    labels not translatable
-   [584123](http://bugzilla.gnome.org/show_bug.cgi?id=584123) : Some
    strings in encoding dialog are not translatable
-   [584128](http://bugzilla.gnome.org/show_bug.cgi?id=584128) : Most
    labels in Preferences are untranslatable
-   [584415](http://bugzilla.gnome.org/show_bug.cgi?id=584415) : Cairo -
    &gt; cairo
-   [584416](http://bugzilla.gnome.org/show_bug.cgi?id=584416) :
    Ambiguous string
-   [586184](http://bugzilla.gnome.org/show_bug.cgi?id=586184) :
    formatter can't find all streams on project load
-   [587327](http://bugzilla.gnome.org/show_bug.cgi?id=587327) : write
    all temp files into one folder in /tmp
-   [587378](http://bugzilla.gnome.org/show_bug.cgi?id=587378) : Ctrl +
    Click broken
-   [589513](http://bugzilla.gnome.org/show_bug.cgi?id=589513) :
    timeline requests too much space when loading files
-   [589628](http://bugzilla.gnome.org/show_bug.cgi?id=589628) : Media
    clip thumbnails not loaded if you re-open a project
-   [589689](http://bugzilla.gnome.org/show_bug.cgi?id=589689) :
    keyframe curves go through the roof
-   [589715](http://bugzilla.gnome.org/show_bug.cgi?id=589715) :
    implement ripple trims
-   [589799](http://bugzilla.gnome.org/show_bug.cgi?id=589799) : Sound
    cuts out replaying mp4
-   [589820](http://bugzilla.gnome.org/show_bug.cgi?id=589820) :
    \[keyframes\] audio volume curves don't allow amplifying th...
-   [590195](http://bugzilla.gnome.org/show_bug.cgi?id=590195) :
    0.13.1.1 - &gt; 0.13.1.2 needs newer python-gtk
-   [591149](http://bugzilla.gnome.org/show_bug.cgi?id=591149) :
    regression in the project settings dialog
-   [579323](http://bugzilla.gnome.org/show_bug.cgi?id=579323) : save
    button should be insensitive when no changes have be...
-   [579531](http://bugzilla.gnome.org/show_bug.cgi?id=579531) : warn
    about unsaved changes on close
-   [580680](http://bugzilla.gnome.org/show_bug.cgi?id=580680) : toolbar
    settings not applied on startup
-   [585653](http://bugzilla.gnome.org/show_bug.cgi?id=585653) :
    regression: simple save has been replaced by save as
-   [585794](http://bugzilla.gnome.org/show_bug.cgi?id=585794) :
    regression: render button/menu item is insensitive
-   [582327](http://bugzilla.gnome.org/show_bug.cgi?id=582327) :
    playhead resets the timeline scroll position on clicking ...
-   [575364](http://bugzilla.gnome.org/show_bug.cgi?id=575364) :
    \[LGM2009\] first 4 seconds of OGV (theora) clips cannot be...
-   [579237](http://bugzilla.gnome.org/show_bug.cgi?id=579237) : search
    as you type doesn't work in the media library
-   [585926](http://bugzilla.gnome.org/show_bug.cgi?id=585926) :
    importing a DV-in-avi file fails
-   [587008](http://bugzilla.gnome.org/show_bug.cgi?id=587008) :
    keyframes not saved
-   [589812](http://bugzilla.gnome.org/show_bug.cgi?id=589812) : the
    mouse cursor should change when over a curve/keyframe
-   [589813](http://bugzilla.gnome.org/show_bug.cgi?id=589813) :
    \[keyframe\] dragging a curve segment between two keyframes...
-   [589817](http://bugzilla.gnome.org/show_bug.cgi?id=589817) : cancel
    accidental movement when double-clicking on a curve

[List of bugs fixed on
Bugzilla](http://bugzilla.gnome.org/buglist.cgi?product=pitivi&target_milestone=0.13.2)
