# 0.13.4 Release : Cabernet d'Anjou

The PiTiVi team is proud to announce the third release in the 0.13
PiTiVi series.

Due to its dependency on GStreamer, The PiTiVi team strongly recommends
users have all official latest gstreamer libraries and plugins installed
for the best user experience.

See also [Performance problems in
0.13.4](Performance_problems_in_0.13.4.md).

## Features of this release

`* video mixing/transparency support`\
`* icon view in source list`\
`* smoother scrolling`\
`* modeless splitting`\
`* seek on click`\
`* faster waveforms`\
`* zoom slider`\
`* UI beautifications`\
`* Speed optimisations`\
`* dbus/hal dependency now optional`\
`* translated in 30 languages`

## Requirements

`* gstreamer >= 0.10.28`\
`* gst-python >= 0.10.16`\
`* gnonlin >= 0.10.15`\
`* pygtk >= 2.14.0`\
`* Python >= 2.5`\
`* zope.interface (http://www.zope.org/Products/ZopeInterface)`\
`* setuptools (http://peak.telecommunity.com/DevCenter/setuptools)`\
`* pygoocanvas (http://live.gnome.org/GooCanvas)`\
`* (optional) dbus and HAL for capture support`

## Contributors

Ranked by commits:

`  176  Brandon Lewis`\
`   49  Alessandro Decina`\
`   27  Edward Hervey`\
`    4  Andrej Å½nidarÅ¡iÄ`\
`    4  Gabor Kelemen`\
`    4  Gianvito Cavasoli`\
`    4  Jorge GonzÃ¡lez`\
`    4  Marek ÄŒernockÃ½`\
`    4  Mario BlÃ¤ttermann`\
`    3  AntÃ³nio Lima`\
`    3  Jean-FranÃ§ois Fortin Tam`\
`    3  Karl Palsson`\
`    3  Timo Jyrinki`\
`    2  Adi Roiban`\
`    2  Alexandre Prokoudine`\
`    2  Claude Paroz`\
`    2  Flamarion Jorge`\
`    2  Jesse AvilÃ©s`\
`    2  Rudolfs Mazurs`\
`    2  Xandru Armesto Fernandez`\
`    1  Aleksander Åukasiewicz`\
`    1  Aron Xu`\
`    1  Daniel Nylander`\
`    1  Dimitris Tsiolis`\
`    1  Fran DiÃ©guez`\
`    1  Greg Auger`\
`    1  Ivaylo Valkov`\
`    1  Jan DrÃ¡bek`\
`    1  Jennie Petoumenou`\
`    1  Lucian Adrian Grijincu`\
`    1  Matej UrbanÄiÄ`\
`    1  Philip Withnall`\
`    1  Robin Norwood`\
`    1  Rodolfo Ribeiro Gomes`\
`    1  Stephen Griffiths`\
`    1  Tim Waugh`\
`    1  dumol`

## Download

PiTiVi source tarballs are available on gnome FTP:
<http://ftp.gnome.org/pub/GNOME/sources/pitivi/0.13/>

See [the website](http://www.pitivi.org) for distribution-specific
packages.

## Information and Feedback

-   Information for users and developers can be found on the PiTiVi
    website : <http://www.pitivi.org/>
-   Comments and feedback are welcome.
    -   Mailing-list : pitivi-pitivi@lists.sourceforge.net
    -   PiTiVi bug-tracker :
        <http://bugzilla.gnome.org/browse.cgi?product=pitivi>

## Bugs Fixed

-   [589814](http://bugzilla.gnome.org/show_bug.cgi?id=589814) :
    keyframe should have percentage labels
-   [610072](http://bugzilla.gnome.org/show_bug.cgi?id=610072) : crash
    when crossing trimming handles
-   [354647](http://bugzilla.gnome.org/show_bug.cgi?id=354647) : Use
    gtk.IconView for sources
-   [432647](http://bugzilla.gnome.org/show_bug.cgi?id=432647) : Viewer
    slider should be clickable
-   [558019](http://bugzilla.gnome.org/show_bug.cgi?id=558019) :
    Import/Open is a bit confusing
-   [604699](http://bugzilla.gnome.org/show_bug.cgi?id=604699) : broken
    link to Brandon's wiki in the gnonlin docs
-   [337967](http://bugzilla.gnome.org/show_bug.cgi?id=337967) : avoid
    black frames as video thumbnails in the source list
-   [575356](http://bugzilla.gnome.org/show_bug.cgi?id=575356) : timeout
    on importing large clip
-   [575983](http://bugzilla.gnome.org/show_bug.cgi?id=575983) : pitivi
    doesn't find Python 2.6 well
-   [576289](http://bugzilla.gnome.org/show_bug.cgi?id=576289) : tagging
    PiTiVi's audio streams for pulseaudio
-   [579544](http://bugzilla.gnome.org/show_bug.cgi?id=579544) : cannot
    add layers above existing ones
-   [584135](http://bugzilla.gnome.org/show_bug.cgi?id=584135) : " No
    audio " gets changed to some audio improperly; handle properly
    timelines without audio or without video
-   [585735](http://bugzilla.gnome.org/show_bug.cgi?id=585735) : patch
    Use different colors for video and audio clips
-   [585738](http://bugzilla.gnome.org/show_bug.cgi?id=585738) :
    Difference between mounted videos / different layers
-   [586025](http://bugzilla.gnome.org/show_bug.cgi?id=586025) : use a
    slider instead of 2 zoom buttons
-   [589691](http://bugzilla.gnome.org/show_bug.cgi?id=589691) :
    keyframes outside trimmed regions cannot be adjusted
-   [590569](http://bugzilla.gnome.org/show_bug.cgi?id=590569) : lack of
    consistency : icon for razor is a pair of scissor
-   [590632](http://bugzilla.gnome.org/show_bug.cgi?id=590632) : hide
    the previewer's slider widget when not previewing something directly
    in the source list
-   [590784](http://bugzilla.gnome.org/show_bug.cgi?id=590784) : shift +
    click should select a horizontal range of clips
-   [593663](http://bugzilla.gnome.org/show_bug.cgi?id=593663) :
    Preference window initial size is too small
-   [593962](http://bugzilla.gnome.org/show_bug.cgi?id=593962) : Bad
    string concatenation in gettext call (mainwindow.py)
-   [593977](http://bugzilla.gnome.org/show_bug.cgi?id=593977) : loading
    projects is slow
-   [594389](http://bugzilla.gnome.org/show_bug.cgi?id=594389) : move
    playhead on click - better splitting metaphor
-   [594826](http://bugzilla.gnome.org/show_bug.cgi?id=594826) : alpha
    channel for PNG images
-   [595362](http://bugzilla.gnome.org/show_bug.cgi?id=595362) : default
    empty timeline length is way too long
-   [595402](http://bugzilla.gnome.org/show_bug.cgi?id=595402) : delete
    key on a clip in the source list should remove it.
-   [595960](http://bugzilla.gnome.org/show_bug.cgi?id=595960) :
    thumbnails are slow to generate when zooming
-   [596134](http://bugzilla.gnome.org/show_bug.cgi?id=596134) : render
    sound is desynched
-   [596267](http://bugzilla.gnome.org/show_bug.cgi?id=596267) :
    division by zero when trying to load a timeline that starts with a
    still image
-   [596948](http://bugzilla.gnome.org/show_bug.cgi?id=596948) : Can't
    grab waveform extremities
-   [597243](http://bugzilla.gnome.org/show_bug.cgi?id=597243) : delete
    key on a clip in the source list should remove it only if the
    timeline is not focused
-   [597703](http://bugzilla.gnome.org/show_bug.cgi?id=597703) : Trim
    handles can get glued together
-   [597704](http://bugzilla.gnome.org/show_bug.cgi?id=597704) :
    Traceback when undoing 'split' operation
-   [597711](http://bugzilla.gnome.org/show_bug.cgi?id=597711) :
    Traceback when undoing 'ungroup' operation
-   [597790](http://bugzilla.gnome.org/show_bug.cgi?id=597790) :
    Traceback while previewing audio stream
-   [598342](http://bugzilla.gnome.org/show_bug.cgi?id=598342) : OGG
    Theora ignores rendering resolution
-   [602892](http://bugzilla.gnome.org/show_bug.cgi?id=602892) : clips
    deleted in the source list are not restored in the timeline when
    undoing deletion
-   [603045](http://bugzilla.gnome.org/show_bug.cgi?id=603045) : viewer
    no longer displays after dropping files
-   [603102](http://bugzilla.gnome.org/show_bug.cgi?id=603102) : cannot
    render until the timeline has been seeked, and traceback if trying
    to seek after trying to render directly
-   [603107](http://bugzilla.gnome.org/show_bug.cgi?id=603107) :
    keyframes are hard to manipulate near trimming handles/clips edges
-   [603148](http://bugzilla.gnome.org/show_bug.cgi?id=603148) :
    unlinking clips resets the playhead position
-   [603149](http://bugzilla.gnome.org/show_bug.cgi?id=603149) :
    splitting resets the playhead position
-   [603202](http://bugzilla.gnome.org/show_bug.cgi?id=603202) : PiTiVi
    can't load its own project format/file
-   [603203](http://bugzilla.gnome.org/show_bug.cgi?id=603203) : More
    frame rate support
-   [603424](http://bugzilla.gnome.org/show_bug.cgi?id=603424) : first
    seek doesn't work until you used the ruler to seek
-   [603425](http://bugzilla.gnome.org/show_bug.cgi?id=603425) : video
    curves' hitbox eats kittens
-   [604381](http://bugzilla.gnome.org/show_bug.cgi?id=604381) :
    tracebacks when trying to open an old project (0.13.1 release
    screencast)
-   [607408](http://bugzilla.gnome.org/show_bug.cgi?id=607408) : Pitivi
    does not respect theme settings
-   [607614](http://bugzilla.gnome.org/show_bug.cgi?id=607614) : downmix
    channels for drawing audio waveforms on the timeline
-   [608949](http://bugzilla.gnome.org/show_bug.cgi?id=608949) :
    keyboard shortcuts for scrubbing/frame seeking broke
-   [609426](http://bugzilla.gnome.org/show_bug.cgi?id=609426) :
    traceback when importing an MPEG2-TS file (.mts, .m2ts)
-   [611761](http://bugzilla.gnome.org/show_bug.cgi?id=611761) : some
    mpeg files get detected as sound-only
-   [611915](http://bugzilla.gnome.org/show_bug.cgi?id=611915) : Timeout
    not configurable
-   [611946](http://bugzilla.gnome.org/show_bug.cgi?id=611946) : some
    clips randomly cause pitivi to segfault on import since changes in
    thumbnailing
-   [611996](http://bugzilla.gnome.org/show_bug.cgi?id=611996) : Files
    with % and \# in the file name can't be imported by drag and drop
-   [581816](http://bugzilla.gnome.org/show_bug.cgi?id=581816) : render
    output filename not in unicode
-   [593465](http://bugzilla.gnome.org/show_bug.cgi?id=593465) :
    changing project settings does not mark the project as changed
-   [594312](http://bugzilla.gnome.org/show_bug.cgi?id=594312) : convert
    entities in filenames in the render dialog

...and more. See the [list of bugs fixed on
Bugzilla](http://bugzilla.gnome.org/buglist.cgi?product=pitivi&target_milestone=0.13.4)
